Delete a database
curl --request DELETE \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Databases
Delete a database
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
delete_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | delete_databases |
| Database | delete_database |
DELETE
/
organizations
/
{organization}
/
databases
/
{database}
Delete a database
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Response
Deletes a database
⌘I

